<template>
    
    <header>
      <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
<link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
<link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
<link rel="manifest" href="/site.webmanifest">
      <router-link class="navbar-brand"  to="/"> 
        <img src="../assets/img/mesologi-logo.png" alt="Mesologi airport">
      </router-link>
      <nav class="menu"> 
        <ul role="list">                
            <li><router-link class="nav-link"  to="/approach">Approach</router-link></li>
            <li><router-link class="nav-link"  to="/services">Services</router-link></li>
            <li><router-link class="nav-link" to="/contact">Contact</router-link></li>
          </ul>
      </nav>
    </header>
</template>

<script>
export default {
   data: () => ({
            toggle: false
        }),
  created () {
    console.log(event + "event")
    window.addEventListener('scroll', this.handleScroll);
  },
  destroyed () {
    window.removeEventListener('scroll', this.handleScroll);
  },
  methods: {
    handleScroll (event) {
      // Any code to be executed when the window is scrolled
      console.log(event + "event");
    }

}
}
</script>
<style scoped>
  
 
  .menu-mobile{
      display: none;
      align-items: center;
  }
  .menu-mobile--toggle{
    display: none;
    cursor: pointer;
  }
  

   
</style>

